DescriptorTag

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.si
Interface DescriptorTag

    public interface DescriptorTag

The DescriptorTag contains constant values to be read from the descriptor_tag field in a Descriptor. The constant values will correspond to those specified in OCAP SI.

Field Summary
`static short` | `AC3_AUDIO` SCTE AC-3_audio_descriptor.
`static short` | `APPLICATION` MHP application_descriptor.
`static short` | `APPLICATION_ICONS` MHP application_icons_descriptor.
`static short` | `APPLICATION_NAME` MHP application_name_descriptor.
`static short` | `APPLICATION_SIGNALING` MHP application_signaling_descriptor.
`static short` | `ASSOCIATION_TAG` DSMCC association_tag_descriptor
`static short` | `ATSC_PRIVATE_INFORMATION` ATSC private_information_descriptor
`static short` | `AUDIO_STREAM` MPEG-2 audio_stream_descriptor.
`static short` | `CA` MPEG-2 CA_descriptor.
`static short` | `CACHING_PRIORITY` MHP caching_priority_descriptor.
`static short` | `CAPTION_SERVICE` SCTE caption_service_descriptor.
`static short` | `CAROUSEL_IDENTIFIER` DSMCC carousel_identifier_descriptor
`static short` | `CHANNEL_PROPERTIES` SCTE channel_properties_descriptor
`static short` | `COMPONENT_NAME` SCTE component_name_descriptor.
`static short` | `CONTENT_ADVISORY` SCTE content_advisory_descriptor.
`static short` | `CONTENT_TYPE` MHP content_type_descriptor.
`static short` | `COPYRIGHT` MPEG-2 copyright_descriptor.
`static short` | `DATA_BROADCAST_ID` MHP data_broadcast_id_descriptor.
`static short` | `DATA_STREAM_ALIGNMENT` MPEG-2 data_stream_alignment_descriptor.
`static short` | `DAYLIGHT_SAVINGS_TIME` SCTE daylight_savings_time_descriptor.
`static short` | `DII_LOCATION` MHP DII_location_descriptor.
`static short` | `DVB_J_APPLICATION` MHP DVB-J_application_descriptor.
`static short` | `DVB_J_APPLICATION_LOCATION` MHP DVB-J_application_location_descriptor.
`static short` | `EXTENDED_CHANNEL_NAME_DESCRIPTION` SCTE extended_channel_name_description_descriptor.
`static short` | `EXTERNAL_APPLICATION_AUTHORISATION` MHP external_application_authorisation_descriptor.
`static short` | `HIERARCHY` MPEG-2 hierarchy_descriptor.
`static short` | `IBP` MPEG-2 IBP_descriptor.
`static short` | `IPV4_ROUTING` MHP IPV4_routing_descriptor.
`static short` | `IPV6_ROUTING` MHP IPV6_routing_descriptor.
`static short` | `ISO_639_LANGUAGE` MPEG-2 ISO_639_language_descriptor.
`static short` | `LABEL` MHP label_descriptor.
`static short` | `MAC_ADDRESS_LIST` MAC address list
`static short` | `MAXIMUM_BITRATE` MPEG-2 maximum_bitrate_descriptor.
`static short` | `MULTIPLEX_UTILIZATION_BUFFER` MPEG-2 multiplex_utilization_buffer_descriptor.
`static short` | `PRE_FETCH` MHP pre-fetch_descriptor.
`static short` | `PRIVATE_DATA_INDICATOR` MPEG-2 private_data_indicator_descriptor.
`static short` | `PRIVATE_DATA_SPECIFIER` MHP private_data_specifier_descriptor.
`static short` | `REGISTRATION` MPEG-2 registration_descriptor.
`static short` | `REVISION_DETECTION` SCTE revision_detection_descriptor.
`static short` | `SERVICE_IDENTIFIER` MHP service_identifier_descriptor.
`static short` | `SERVICE_LOCATION` SCTE service_location_descriptor.
`static short` | `SMOOTHING_BUFFER` MPEG-2 smoothing_buffer_descriptor.
`static short` | `STD` MPEG-2 STD_descriptor.
`static short` | `STREAM_IDENTIFIER` DVB stream_identifier_descriptor.
`static short` | `STUFFING` SCTE stuffing_descriptor.
`static short` | `SYSTEM_CLOCK` MPEG-2 system_clock_descriptor.
`static short` | `TARGET_BACKGROUND_GRID` MPEG-2 target_background_grid_descriptor.
`static short` | `TIME_SHIFTED_SERVICE` SCTE time_shifted_service_descriptor.
`static short` | `TRANSPORT_PROTOCOL` MHP transport_protocol_descriptor.
`static short` | `TWO_PART_CHANNEL_NUMBER` SCTE two_part_channel_number_descriptor.
`static short` | `VIDEO_STREAM` MPEG-2 video_stream_descriptor.
`static short` | `VIDEO_WINDOW` MPEG-2 video_window_descriptor.

Field Detail

### VIDEO_STREAM

    static final short VIDEO_STREAM

  MPEG-2 video_stream_descriptor.

  See Also:
    Constant Field Values

### AUDIO_STREAM

    static final short AUDIO_STREAM

  MPEG-2 audio_stream_descriptor.

  See Also:
    Constant Field Values

### HIERARCHY

    static final short HIERARCHY

  MPEG-2 hierarchy_descriptor.

  See Also:
    Constant Field Values

### REGISTRATION

    static final short REGISTRATION

  MPEG-2 registration_descriptor.

  See Also:
    Constant Field Values

### DATA_STREAM_ALIGNMENT

    static final short DATA_STREAM_ALIGNMENT

  MPEG-2 data_stream_alignment_descriptor.

  See Also:
    Constant Field Values

### TARGET_BACKGROUND_GRID

    static final short TARGET_BACKGROUND_GRID

  MPEG-2 target_background_grid_descriptor.

  See Also:
    Constant Field Values

### VIDEO_WINDOW

    static final short VIDEO_WINDOW

  MPEG-2 video_window_descriptor.

  See Also:
    Constant Field Values

### CA

    static final short CA

  MPEG-2 CA_descriptor.

  See Also:
    Constant Field Values

### ISO_639_LANGUAGE

    static final short ISO_639_LANGUAGE

  MPEG-2 ISO_639_language_descriptor.

  See Also:
    Constant Field Values

### SYSTEM_CLOCK

    static final short SYSTEM_CLOCK

  MPEG-2 system_clock_descriptor.

  See Also:
    Constant Field Values

### MULTIPLEX_UTILIZATION_BUFFER

    static final short MULTIPLEX_UTILIZATION_BUFFER

  MPEG-2 multiplex_utilization_buffer_descriptor.

  See Also:
    Constant Field Values

### COPYRIGHT

    static final short COPYRIGHT

  MPEG-2 copyright_descriptor.

  See Also:
    Constant Field Values

### MAXIMUM_BITRATE

    static final short MAXIMUM_BITRATE

  MPEG-2 maximum_bitrate_descriptor.

  See Also:
    Constant Field Values

### PRIVATE_DATA_INDICATOR

    static final short PRIVATE_DATA_INDICATOR

  MPEG-2 private_data_indicator_descriptor.

  See Also:
    Constant Field Values

### SMOOTHING_BUFFER

    static final short SMOOTHING_BUFFER

  MPEG-2 smoothing_buffer_descriptor.

  See Also:
    Constant Field Values

### STD

    static final short STD

  MPEG-2 STD_descriptor.

  See Also:
    Constant Field Values

### IBP

    static final short IBP

  MPEG-2 IBP_descriptor.

  See Also:
    Constant Field Values

### CAROUSEL_IDENTIFIER

    static final short CAROUSEL_IDENTIFIER

  DSMCC carousel_identifier_descriptor

  See Also:
    Constant Field Values

### ASSOCIATION_TAG

    static final short ASSOCIATION_TAG

  DSMCC association_tag_descriptor

  See Also:
    Constant Field Values

### APPLICATION

    static final short APPLICATION

  MHP application_descriptor.

  See Also:
    Constant Field Values

### APPLICATION_NAME

    static final short APPLICATION_NAME

  MHP application_name_descriptor.

  See Also:
    Constant Field Values

### TRANSPORT_PROTOCOL

    static final short TRANSPORT_PROTOCOL

  MHP transport_protocol_descriptor.

  See Also:
    Constant Field Values

### DVB_J_APPLICATION

    static final short DVB_J_APPLICATION

  MHP DVB-J_application_descriptor.

  See Also:
    Constant Field Values

### DVB_J_APPLICATION_LOCATION

    static final short DVB_J_APPLICATION_LOCATION

  MHP DVB-J_application_location_descriptor.

  See Also:
    Constant Field Values

### EXTERNAL_APPLICATION_AUTHORISATION

    static final short EXTERNAL_APPLICATION_AUTHORISATION

  MHP external_application_authorisation_descriptor.

  See Also:
    Constant Field Values

### IPV4_ROUTING

    static final short IPV4_ROUTING

  MHP IPV4_routing_descriptor.

  See Also:
    Constant Field Values

### IPV6_ROUTING

    static final short IPV6_ROUTING

  MHP IPV6_routing_descriptor.

  See Also:
    Constant Field Values

### APPLICATION_ICONS

    static final short APPLICATION_ICONS

  MHP application_icons_descriptor.

  See Also:
    Constant Field Values

### PRE_FETCH

    static final short PRE_FETCH

  MHP pre-fetch_descriptor.

  See Also:
    Constant Field Values

### DII_LOCATION

    static final short DII_LOCATION

  MHP DII_location_descriptor.

  See Also:
    Constant Field Values

### STREAM_IDENTIFIER

    static final short STREAM_IDENTIFIER

  DVB stream_identifier_descriptor. Used when resolving component tags (e.g. when mounting a carousel). Defined in ETSI EN 300 468.

  See Also:
    Constant Field Values

### PRIVATE_DATA_SPECIFIER

    static final short PRIVATE_DATA_SPECIFIER

  MHP private_data_specifier_descriptor.

  See Also:
    Constant Field Values

### DATA_BROADCAST_ID

    static final short DATA_BROADCAST_ID

  MHP data_broadcast_id_descriptor.

  See Also:
    Constant Field Values

### APPLICATION_SIGNALING

    static final short APPLICATION_SIGNALING

  MHP application_signaling_descriptor.

  See Also:
    Constant Field Values

### SERVICE_IDENTIFIER

    static final short SERVICE_IDENTIFIER

  MHP service_identifier_descriptor.

  See Also:
    Constant Field Values

### LABEL

    static final short LABEL

  MHP label_descriptor.

  See Also:
    Constant Field Values

### CACHING_PRIORITY

    static final short CACHING_PRIORITY

  MHP caching_priority_descriptor.

  See Also:
    Constant Field Values

### CONTENT_TYPE

    static final short CONTENT_TYPE

  MHP content_type_descriptor.

  See Also:
    Constant Field Values

### STUFFING

    static final short STUFFING

  SCTE stuffing_descriptor.

  See Also:
    Constant Field Values

### AC3_AUDIO

    static final short AC3_AUDIO

  SCTE AC-3_audio_descriptor.

  See Also:
    Constant Field Values

### CAPTION_SERVICE

    static final short CAPTION_SERVICE

  SCTE caption_service_descriptor.

  See Also:
    Constant Field Values

### CONTENT_ADVISORY

    static final short CONTENT_ADVISORY

  SCTE content_advisory_descriptor.

  See Also:
    Constant Field Values

### REVISION_DETECTION

    static final short REVISION_DETECTION

  SCTE revision_detection_descriptor.

  See Also:
    Constant Field Values

### TWO_PART_CHANNEL_NUMBER

    static final short TWO_PART_CHANNEL_NUMBER

  SCTE two_part_channel_number_descriptor.

  See Also:
    Constant Field Values

### CHANNEL_PROPERTIES

    static final short CHANNEL_PROPERTIES

  SCTE channel_properties_descriptor

  See Also:
    Constant Field Values

### DAYLIGHT_SAVINGS_TIME

    static final short DAYLIGHT_SAVINGS_TIME

  SCTE daylight_savings_time_descriptor.

  See Also:
    Constant Field Values

### EXTENDED_CHANNEL_NAME_DESCRIPTION

    static final short EXTENDED_CHANNEL_NAME_DESCRIPTION

  SCTE extended_channel_name_description_descriptor.

  See Also:
    Constant Field Values

### SERVICE_LOCATION

    static final short SERVICE_LOCATION

  SCTE service_location_descriptor.

  See Also:
    Constant Field Values

### TIME_SHIFTED_SERVICE

    static final short TIME_SHIFTED_SERVICE

  SCTE time_shifted_service_descriptor.

  See Also:
    Constant Field Values

### COMPONENT_NAME

    static final short COMPONENT_NAME

  SCTE component_name_descriptor.

  See Also:
    Constant Field Values

### MAC_ADDRESS_LIST

    static final short MAC_ADDRESS_LIST

  MAC address list

  See Also:
    Constant Field Values

### ATSC_PRIVATE_INFORMATION

    static final short ATSC_PRIVATE_INFORMATION

  ATSC private_information_descriptor

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD